### Method

# RB RhythmDBQueryModel iter_to_entry

#### Declaration [src]

    RhythmDBEntry*
    rhythmdb_query_model_iter_to_entry (
      RhythmDBQueryModel* model,
      GtkTreeIter* entry_iter
    )

#### Description [src]

Locates and returns the `RhythmDBEntry` pointed to by the specified iterator in the model. The caller owns a reference to the returned entry.

#### Parameters

`entry_iter`

  Type: `GtkTreeIter`

  A `GtkTreeIter` to dereference.

  The data is owned by the caller of the method.

#### Return value

Type: `RhythmDBEntry`

The `RhythmDBEntry`, if any.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.